# $Id: hackedbox.spec,v 1.9 2004/02/23 12:36:00 dude Exp $
# Authority: matthias

Summary: The bastard son of Blackbox, a small and fast Window Manager
Name: hackedbox
Version: 0.8.4
Release: 7%{?dist}
License: GPL
Group: User Interface/Desktops
URL: http://scrudgeware.org/projects/Hackedbox
Source: http://scrudgeware.org/downloads/hackedbox/hackedbox-%{version}.tar.gz
Source1: hackedbox.desktop
Patch: blackbox-0.65.0-gcc34.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
# Use monolithic X up to FC4, and modular X for FC5+ and non-Fedora
%if %{!?fedora:6}%{?fedora} >= 5
BuildRequires: libXt-devel, libXext-devel
%else
BuildRequires: xorg-x11-devel
%endif

%description
Hackedbox is a stripped down version of Blackbox - The X11 Window Manager.
The toolbar and Slit have been removed. The goal of Hackedbox is to be a
small "feature-set" window manager, with no bloat. There are no plans to
add any functionality, only bugfixes and speed enhancements whenever possible.


%prep
%setup
%patch -p1 -b .gcc34


%build
%configure
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%makeinstall

# Install GDM session file
%{__mkdir_p} %{buildroot}/etc/X11/gdm/Sessions
%{__cat} > %{buildroot}/etc/X11/gdm/Sessions/Hackedbox << EOF
#!/bin/sh
exec /etc/X11/xdm/Xsession %{name}
EOF

# Replace the /usr/local stuff
%{__perl} -pi -e 's|/local||g' %{buildroot}%{_datadir}/%{name}/menu

# Install the desktop entry
%{__install} -D -p -m 644 %{SOURCE1} \
    %{buildroot}%{_datadir}/xsessions/%{name}.desktop


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog README TODO
%attr(755, root, root) /etc/X11/gdm/Sessions/Hackedbox
%{_bindir}/*
%dir %{_datadir}/%{name}/
%config(noreplace) %{_datadir}/%{name}/bgmenu.mk
%config(noreplace) %{_datadir}/%{name}/menu
%{_datadir}/%{name}/backgrounds
%{_datadir}/%{name}/nls
%{_datadir}/%{name}/styles
%{_datadir}/xsessions/%{name}.desktop
%{_mandir}/man1/*
%lang(fr_FR) %{_mandir}/fr_FR/man1/*
%lang(ja JP) %{_mandir}/ja_JP/man1/*
%lang(nl_NL) %{_mandir}/nl_NL/man1/*
%lang(sl_SI) %{_mandir}/sl_SI/man1/*


%changelog
* Mon Aug 28 2006 Matthias Saou <http://freshrpms.net/> 0.8.4-7
- FC6 rebuild.
- Remove gcc-c++ and perl buil requirements, they are defaults.

* Mon Mar  6 2006 Matthias Saou <http://freshrpms.net/> 0.8.4-6
- FC5 rebuild.

* Thu Feb  9 2006 Matthias Saou <http://freshrpms.net/> 0.8.4-5
- Rebuild for new gcc/glibc and modular X.

* Fri Apr  1 2005 Michael Schwendt <mschwendt[AT]users.sf.net> 0.8.4-4
- Include hackedbox datadir.

* Tue Nov 16 2004 Matthias Saou <http://freshrpms.net/> 0.8.4-3
- Bump release to provide Extras upgrade path.

* Mon Nov 15 2004 Matthias Saou <http://freshrpms.net/> 0.8.4-2
- Added gcc 3.4 patch from Arch Linux (the same as Linux From Scratch).

* Fri Jul 16 2004 Matthias Saou <http://freshrpms.net/> 0.8.4-1
- Update to 0.8.4.
- Remove the NLS workaround, no longer required.

* Mon Feb 23 2004 Matthias Saou <http://freshrpms.net/> 0.8.2-3
- Apply the same nls workaround as for blackbox.
- Add the xsessions desktop file for recent gdm/kdm.

* Fri Nov  7 2003 Matthias Saou <http://freshrpms.net/> 0.8.2-2
- Rebuild for Fedora Core 1.
- Added the (currently mandatory) without nls conditional build.

* Sat Apr 26 2003 Matthias Saou <http://freshrpms.net/>
- Update to 0.8.2.

* Mon Mar 31 2003 Matthias Saou <http://freshrpms.net/>
- Rebuilt for Red Hat Linux 9.

* Thu Jan  3 2003 Matthias Saou <http://freshrpms.net/>
- Update to 0.8.1.

* Mon Nov  4 2002 Matthias Saou <http://freshrpms.net/>
- Update to 0.8.0.

* Sun Oct  6 2002 Matthias Saou <http://freshrpms.net/>
- Rebuilt for Red Hat Linux 8.0.

* Tue Sep 10 2002 Matthias Saou <http://freshrpms.net/>
- Update to 0.7.3.

* Mon Aug 12 2002 Matthias Saou <http://freshrpms.net/>
- Initial RPM release.

